> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elementum.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a user in your organization



## OpenAPI

````yaml post /users
openapi: 3.0.1
info:
  title: Elementum API
  description: ''
  contact:
    email: apiteam@elementum.io
  version: 0.0.1
servers:
  - url: /v1
security: []
tags:
  - name: Access Token
    description: Manage access tokens using OAuth 2.0 standards
  - name: Records
    description: Manage your records
  - name: Related-items
    description: Manage the related items of a record
  - name: Attachments
    description: Manage the attachments of a record
  - name: Watchers
    description: Manage the watchers of a record
  - name: Comments
    description: Manage the conversation of a record
  - name: Users
    description: Manage users in your organization
  - name: Groups
    description: Manage groups and group membership
externalDocs:
  description: Find out more about Elementum
  url: https://www.elementum.com/
paths:
  /users:
    post:
      tags:
        - Users
      summary: Create a user in your organization
      operationId: createUser
      requestBody:
        description: The user to be created
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateUserInput'
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '409':
          description: Conflict — user already exists
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
      security:
        - ClientCredentials: []
components:
  schemas:
    CreateUserInput:
      required:
        - email
        - firstName
        - lastName
      type: object
      properties:
        email:
          type: string
          description: The email address for the new user
        firstName:
          type: string
          description: The first name of the new user
        lastName:
          type: string
          description: The last name of the new user
      example:
        email: new.user@example.com
        firstName: New
        lastName: User
    User:
      type: object
      properties:
        id:
          type: string
          description: The user ID
        email:
          type: string
          description: The user email address
        firstName:
          type: string
          description: The user first name
        lastName:
          type: string
          description: The user last name
        status:
          type: string
          description: The user status (e.g., ACTIVE, INACTIVE)
        createdAt:
          type: string
          description: When the user was created
          format: date-time
      example:
        id: u-456
        email: jane.doe@example.com
        firstName: Jane
        lastName: Doe
        status: ACTIVE
        createdAt: '2025-06-01T09:00:00Z'
  responses:
    '400':
      description: Bad Request
    '401':
      description: Unauthorized
    '403':
      description: Forbidden
    '429':
      description: Too Many Requests
    '500':
      description: Internal Server Error
  securitySchemes:
    ClientCredentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /oauth/token
          scopes: {}

````